Delete Component Instance Link
curl --request DELETE \
--url https://api.serial.io/components/instances/links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.serial.io/components/instances/links"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.serial.io/components/instances/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.serial.io/components/instances/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.serial.io/components/instances/links"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.serial.io/components/instances/links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.serial.io/components/instances/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_child_of_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_identifier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"removed_at": "2023-11-07T05:31:56Z"
}Component Instances
Delete Component Instance Link
Endpoint to remove links between two component instances.
DELETE
/
components
/
instances
/
links
Delete Component Instance Link
curl --request DELETE \
--url https://api.serial.io/components/instances/links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.serial.io/components/instances/links"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.serial.io/components/instances/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.serial.io/components/instances/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.serial.io/components/instances/links"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.serial.io/components/instances/links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.serial.io/components/instances/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_child_of_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_identifier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"removed_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>
Query Parameters
Database id for the parent component instance
Database id for the child component instance
Response
OK
Unique Identifiers Link Database return
Database id for the link
Child component instance's id
If for the process entry where the link was created.
Parent component instance's id
If true, the link is active. If false, the link has been broken.
Dataset that associates this link.
Timestamp when the link was created
Timestamp when the link was deactivated.

